Package: org.gmetrics.util.io

## [Groovy] Class DefaultResourceFactory

- org.gmetrics.util.io.DefaultResourceFactory

- All Implemented Interfaces and Traits:
    ResourceFactory

      class DefaultResourceFactory

  Default implementation of ResourceFactory.

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair
  Version:
    \$Revision: 24 \$ - \$Date: 2009-12-10 21:17:05 -0500 (Thu, 10 Dec 2009) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Resource` | `getResource(String path)` Return a Resource instance suitable for the specified path.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### Resource getResource(String path)

      Return a Resource instance suitable for the specified path.

      throws:
        IOException - if an error occurs opening the InputStream
      Parameters:
        `path` - - the path to the resource. Must not be null or empty. This may be optionally prefixed by "classpath:" or any of the valid java.net.URL prefixes (e.g., "file:", "http:")